diff --git a/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp b/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp
index c040d6e7..e8e68e5a 100644
--- a/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp
+++ b/libRTI/ieee1516-2010/RTIambassadorImplementation.cpp
@@ -955,15 +741,7 @@ rti1516e::ObjectInstanceHandle RTI1516ambassador::registerObjectInstance(rti1516
 
 rti1516e::ObjectInstanceHandle RTI1516ambassador::registerObjectInstance(
     rti1516e::ObjectClassHandle theClass,
-    std::wstring const& theObjectInstanceName) throw(rti1516e::ObjectClassNotDefined,
-                                                     rti1516e::ObjectClassNotPublished,
-                                                     rti1516e::ObjectInstanceNameNotReserved,
-                                                     rti1516e::ObjectInstanceNameInUse,
-                                                     rti1516e::FederateNotExecutionMember,
-                                                     rti1516e::SaveInProgress,
-                                                     rti1516e::RestoreInProgress,
-                                                     rti1516e::NotConnected,
-                                                     rti1516e::RTIinternalError)
+    std::wstring const& theObjectInstanceName)
 {
     M_Register_Object_Instance req, rep;
 
@@ -979,14 +757,7 @@ rti1516e::ObjectInstanceHandle RTI1516ambassador::registerObjectInstance(
 void RTI1516ambassador::updateAttributeValues(
     rti1516e::ObjectInstanceHandle theObject,
     rti1516e::AttributeHandleValueMap const& theAttributeValues,
-    rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                  rti1516e::AttributeNotDefined,
-                                                                  rti1516e::AttributeNotOwned,
-                                                                  rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError)
+    rti1516e::VariableLengthData const& theUserSuppliedTag)
 {
     Debug(G, pdGendoc) << "enter RTI1516ambassador::updateAttributeValues without time" << std::endl;
     M_Update_Attribute_Values req, rep;
@@ -1007,15 +778,7 @@ rti1516e::MessageRetractionHandle RTI1516ambassador::updateAttributeValues(
     rti1516e::ObjectInstanceHandle theObject,
     rti1516e::AttributeHandleValueMap const& theAttributeValues,
     rti1516e::VariableLengthData const& theUserSuppliedTag,
-    rti1516e::LogicalTime const& theTime) throw(rti1516e::ObjectInstanceNotKnown,
-                                                rti1516e::AttributeNotDefined,
-                                                rti1516e::AttributeNotOwned,
-                                                rti1516e::InvalidLogicalTime,
-                                                rti1516e::FederateNotExecutionMember,
-                                                rti1516e::SaveInProgress,
-                                                rti1516e::RestoreInProgress,
-                                                rti1516e::NotConnected,
-                                                rti1516e::RTIinternalError)
+    rti1516e::LogicalTime const& theTime)
 {
     Debug(G, pdGendoc) << "enter RTI1516ambassador::updateAttributeValues with time" << std::endl;
     M_Update_Attribute_Values req, rep;
@@ -1043,14 +806,7 @@ rti1516e::MessageRetractionHandle RTI1516ambassador::updateAttributeValues(
 void RTI1516ambassador::sendInteraction(
     rti1516e::InteractionClassHandle theInteraction,
     rti1516e::ParameterHandleValueMap const& theParameterValues,
-    rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::InteractionClassNotPublished,
-                                                                  rti1516e::InteractionClassNotDefined,
-                                                                  rti1516e::InteractionParameterNotDefined,
-                                                                  rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError)
+    rti1516e::VariableLengthData const& theUserSuppliedTag)
 {
     M_Send_Interaction req, rep;
 
@@ -1072,15 +828,7 @@ rti1516e::MessageRetractionHandle
 RTI1516ambassador::sendInteraction(rti1516e::InteractionClassHandle theInteraction,
                                    rti1516e::ParameterHandleValueMap const& theParameterValues,
                                    rti1516e::VariableLengthData const& theUserSuppliedTag,
-                                   rti1516e::LogicalTime const& theTime) throw(rti1516e::InteractionClassNotPublished,
-                                                                               rti1516e::InteractionClassNotDefined,
-                                                                               rti1516e::InteractionParameterNotDefined,
-                                                                               rti1516e::InvalidLogicalTime,
-                                                                               rti1516e::FederateNotExecutionMember,
-                                                                               rti1516e::SaveInProgress,
-                                                                               rti1516e::RestoreInProgress,
-                                                                               rti1516e::NotConnected,
-                                                                               rti1516e::RTIinternalError)
+                                   rti1516e::LogicalTime const& theTime)
 {
     M_Send_Interaction req, rep;
 
@@ -1111,13 +859,7 @@ RTI1516ambassador::sendInteraction(rti1516e::InteractionClassHandle theInteracti
 // 6.14
 void RTI1516ambassador::deleteObjectInstance(
     rti1516e::ObjectInstanceHandle theObject,
-    rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::DeletePrivilegeNotHeld,
-                                                                  rti1516e::ObjectInstanceNotKnown,
-                                                                  rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError)
+    rti1516e::VariableLengthData const& theUserSuppliedTag)
 {
     M_Delete_Object_Instance req, rep;
 
@@ -1134,14 +876,7 @@ void RTI1516ambassador::deleteObjectInstance(
 rti1516e::MessageRetractionHandle RTI1516ambassador::deleteObjectInstance(
     rti1516e::ObjectInstanceHandle theObject,
     rti1516e::VariableLengthData const& theUserSuppliedTag,
-    rti1516e::LogicalTime const& theTime) throw(rti1516e::DeletePrivilegeNotHeld,
-                                                rti1516e::ObjectInstanceNotKnown,
-                                                rti1516e::InvalidLogicalTime,
-                                                rti1516e::FederateNotExecutionMember,
-                                                rti1516e::SaveInProgress,
-                                                rti1516e::RestoreInProgress,
-                                                rti1516e::NotConnected,
-                                                rti1516e::RTIinternalError)
+    rti1516e::LogicalTime const& theTime)
 {
     M_Delete_Object_Instance req, rep;
 
@@ -1164,15 +899,7 @@ rti1516e::MessageRetractionHandle RTI1516ambassador::deleteObjectInstance(
 }
 
 // 6.12
-void RTI1516ambassador::localDeleteObjectInstance(rti1516e::ObjectInstanceHandle theObject) throw(
-    rti1516e::ObjectInstanceNotKnown,
-    rti1516e::FederateOwnsAttributes,
-    rti1516e::OwnershipAcquisitionPending,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::localDeleteObjectInstance(rti1516e::ObjectInstanceHandle theObject)
 {
     throw rti1516e::RTIinternalError(L"unimplemented service localDeleteObjectInstance");
     M_Local_Delete_Object_Instance req, rep;
@@ -1185,13 +912,7 @@ void RTI1516ambassador::localDeleteObjectInstance(rti1516e::ObjectInstanceHandle
 void RTI1516ambassador::requestAttributeValueUpdate(
     rti1516e::ObjectInstanceHandle theObject,
     rti1516e::AttributeHandleSet const& theAttributes,
-    rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                  rti1516e::AttributeNotDefined,
-                                                                  rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError)
+    rti1516e::VariableLengthData const& theUserSuppliedTag)
 {
     M_Request_Object_Attribute_Value_Update req, rep;
 
@@ -1213,13 +934,7 @@ void RTI1516ambassador::requestAttributeValueUpdate(
 void RTI1516ambassador::requestAttributeValueUpdate(
     rti1516e::ObjectClassHandle theClass,
     rti1516e::AttributeHandleSet const& theAttributes,
-    rti1516e::VariableLengthData const& /*theUserSuppliedTag*/) throw(rti1516e::ObjectClassNotDefined,
-                                                                      rti1516e::AttributeNotDefined,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError)
+    rti1516e::VariableLengthData const& /*theUserSuppliedTag*/)
 {
     M_Request_Class_Attribute_Value_Update req, rep;
     Debug(G, pdGendoc) << "enter RTI1516ambassador::requestClassAttributeValueUpdate" << std::endl;
@@ -1234,16 +949,7 @@ void RTI1516ambassador::requestAttributeValueUpdate(
 void RTI1516ambassador::requestAttributeTransportationTypeChange(
     rti1516e::ObjectInstanceHandle theObject,
     rti1516e::AttributeHandleSet const& theAttributes,
-    rti1516e::TransportationType theType) throw(rti1516e::AttributeAlreadyBeingChanged,
-                                                rti1516e::ObjectInstanceNotKnown,
-                                                rti1516e::AttributeNotDefined,
-                                                rti1516e::AttributeNotOwned,
-                                                rti1516e::FederateNotExecutionMember,
-                                                rti1516e::InvalidTransportationType,
-                                                rti1516e::SaveInProgress,
-                                                rti1516e::RestoreInProgress,
-                                                rti1516e::NotConnected,
-                                                rti1516e::RTIinternalError)
+    rti1516e::TransportationType theType)
 {
     M_Change_Attribute_Transportation_Type req, rep;
     req.setObject(rti1516e::ObjectInstanceHandleFriend::toCertiHandle(theObject));
@@ -1261,13 +967,7 @@ void RTI1516ambassador::requestAttributeTransportationTypeChange(
 // 6.25
 void RTI1516ambassador::queryAttributeTransportationType(
     rti1516e::ObjectInstanceHandle /*theObject*/,
-    rti1516e::AttributeHandle /*theAttribute*/) throw(rti1516e::AttributeNotDefined,
-                                                      rti1516e::ObjectInstanceNotKnown,
-                                                      rti1516e::SaveInProgress,
-                                                      rti1516e::RestoreInProgress,
-                                                      rti1516e::FederateNotExecutionMember,
-                                                      rti1516e::NotConnected,
-                                                      rti1516e::RTIinternalError)
+    rti1516e::AttributeHandle /*theAttribute*/)
 {
     throw rti1516e::RTIinternalError(L"queryAttributeTransportationType Not Implemented");
 }
@@ -1275,15 +975,7 @@ void RTI1516ambassador::queryAttributeTransportationType(
 // 6.27
 void RTI1516ambassador::requestInteractionTransportationTypeChange(
     rti1516e::InteractionClassHandle theClass,
-    rti1516e::TransportationType theType) throw(rti1516e::InteractionClassAlreadyBeingChanged,
-                                                rti1516e::InteractionClassNotPublished,
-                                                rti1516e::InteractionClassNotDefined,
-                                                rti1516e::InvalidTransportationType,
-                                                rti1516e::SaveInProgress,
-                                                rti1516e::RestoreInProgress,
-                                                rti1516e::FederateNotExecutionMember,
-                                                rti1516e::NotConnected,
-                                                rti1516e::RTIinternalError)
+    rti1516e::TransportationType theType)
 {
     M_Change_Interaction_Transportation_Type req, rep;
 
@@ -1296,12 +988,7 @@ void RTI1516ambassador::requestInteractionTransportationTypeChange(
 // 6.29
 void RTI1516ambassador::queryInteractionTransportationType(
     rti1516e::FederateHandle /*theFederate*/,
-    rti1516e::InteractionClassHandle /*theInteraction*/) throw(rti1516e::InteractionClassNotDefined,
-                                                               rti1516e::SaveInProgress,
-                                                               rti1516e::RestoreInProgress,
-                                                               rti1516e::FederateNotExecutionMember,
-                                                               rti1516e::NotConnected,
-                                                               rti1516e::RTIinternalError)
+    rti1516e::InteractionClassHandle /*theInteraction*/)
 {
     throw rti1516e::RTIinternalError(L"queryInteractionTransportationType Not Implemented");
 }
@@ -1312,14 +999,7 @@ void RTI1516ambassador::queryInteractionTransportationType(
 // 7.2
 void RTI1516ambassador::unconditionalAttributeOwnershipDivestiture(
     rti1516e::ObjectInstanceHandle theObject,
-    rti1516e::AttributeHandleSet const& theAttributes) throw(rti1516e::ObjectInstanceNotKnown,
-                                                             rti1516e::AttributeNotDefined,
-                                                             rti1516e::AttributeNotOwned,
-                                                             rti1516e::FederateNotExecutionMember,
-                                                             rti1516e::SaveInProgress,
-                                                             rti1516e::RestoreInProgress,
-                                                             rti1516e::NotConnected,
-                                                             rti1516e::RTIinternalError)
+    rti1516e::AttributeHandleSet const& theAttributes)
 {
     M_Unconditional_Attribute_Ownership_Divestiture req, rep;
     req.setObject(rti1516e::ObjectInstanceHandleFriend::toCertiHandle(theObject));
@@ -1338,15 +1018,7 @@ void RTI1516ambassador::unconditionalAttributeOwnershipDivestiture(
 void RTI1516ambassador::negotiatedAttributeOwnershipDivestiture(
     rti1516e::ObjectInstanceHandle theObject,
     rti1516e::AttributeHandleSet const& theAttributes,
-    rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                  rti1516e::AttributeNotDefined,
-                                                                  rti1516e::AttributeNotOwned,
-                                                                  rti1516e::AttributeAlreadyBeingDivested,
-                                                                  rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError)
+    rti1516e::VariableLengthData const& theUserSuppliedTag)
 {
     M_Negotiated_Attribute_Ownership_Divestiture req, rep;
     req.setObject(rti1516e::ObjectInstanceHandleFriend::toCertiHandle(theObject));
@@ -1369,16 +1041,7 @@ void RTI1516ambassador::negotiatedAttributeOwnershipDivestiture(
 void RTI1516ambassador::confirmDivestiture(
     rti1516e::ObjectInstanceHandle /*theObject*/,
     rti1516e::AttributeHandleSet const& /*confirmedAttributes*/,
-    rti1516e::VariableLengthData const& /*theUserSuppliedTag*/) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                      rti1516e::AttributeNotDefined,
-                                                                      rti1516e::AttributeNotOwned,
-                                                                      rti1516e::AttributeDivestitureWasNotRequested,
-                                                                      rti1516e::NoAcquisitionPending,
-                                                                      rti1516e::FederateNotExecutionMember,
-                                                                      rti1516e::SaveInProgress,
-                                                                      rti1516e::RestoreInProgress,
-                                                                      rti1516e::NotConnected,
-                                                                      rti1516e::RTIinternalError)
+    rti1516e::VariableLengthData const& /*theUserSuppliedTag*/)
 {
     /* TODO */
     throw rti1516e::RTIinternalError(L"Not yet implemented");
@@ -1388,16 +1051,7 @@ void RTI1516ambassador::confirmDivestiture(
 void RTI1516ambassador::attributeOwnershipAcquisition(
     rti1516e::ObjectInstanceHandle theObject,
     rti1516e::AttributeHandleSet const& desiredAttributes,
-    rti1516e::VariableLengthData const& theUserSuppliedTag) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                  rti1516e::ObjectClassNotPublished,
-                                                                  rti1516e::AttributeNotDefined,
-                                                                  rti1516e::AttributeNotPublished,
-                                                                  rti1516e::FederateOwnsAttributes,
-                                                                  rti1516e::FederateNotExecutionMember,
-                                                                  rti1516e::SaveInProgress,
-                                                                  rti1516e::RestoreInProgress,
-                                                                  rti1516e::NotConnected,
-                                                                  rti1516e::RTIinternalError)
+    rti1516e::VariableLengthData const& theUserSuppliedTag)
 {
     M_Attribute_Ownership_Acquisition req, rep;
 
@@ -1420,17 +1074,7 @@ void RTI1516ambassador::attributeOwnershipAcquisition(
 // 7.9
 void RTI1516ambassador::attributeOwnershipAcquisitionIfAvailable(
     rti1516e::ObjectInstanceHandle theObject,
-    rti1516e::AttributeHandleSet const& desiredAttributes) throw(rti1516e::ObjectInstanceNotKnown,
-                                                                 rti1516e::ObjectClassNotPublished,
-                                                                 rti1516e::AttributeNotDefined,
-                                                                 rti1516e::AttributeNotPublished,
-                                                                 rti1516e::FederateOwnsAttributes,
-                                                                 rti1516e::AttributeAlreadyBeingAcquired,
-                                                                 rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError)
+    rti1516e::AttributeHandleSet const& desiredAttributes)
 {
     M_Attribute_Ownership_Acquisition_If_Available req, rep;
 
@@ -1448,14 +1092,7 @@ void RTI1516ambassador::attributeOwnershipAcquisitionIfAvailable(
 
 void RTI1516ambassador::attributeOwnershipReleaseDenied(
     rti1516e::ObjectInstanceHandle /*theObject*/,
-    rti1516e::AttributeHandleSet const& /*theAttributes*/) throw(rti1516e::AttributeNotOwned,
-                                                                 rti1516e::AttributeNotDefined,
-                                                                 rti1516e::ObjectInstanceNotKnown,
-                                                                 rti1516e::SaveInProgress,
-                                                                 rti1516e::RestoreInProgress,
-                                                                 rti1516e::FederateNotExecutionMember,
-                                                                 rti1516e::NotConnected,
-                                                                 rti1516e::RTIinternalError)
+    rti1516e::AttributeHandleSet const& /*theAttributes*/)
 {
     throw rti1516e::RTIinternalError(L"attributeOwnershipReleaseDenied Not Implemented");
 }
@@ -1465,14 +1102,6 @@ void RTI1516ambassador::attributeOwnershipDivestitureIfWanted(
     rti1516e::ObjectInstanceHandle theObject,
     rti1516e::AttributeHandleSet const& theAttributes,
     rti1516e::AttributeHandleSet& theDivestedAttributes) // filled by RTI
-    throw(rti1516e::ObjectInstanceNotKnown,
-          rti1516e::AttributeNotDefined,
-          rti1516e::AttributeNotOwned,
-          rti1516e::FederateNotExecutionMember,
-          rti1516e::SaveInProgress,
-          rti1516e::RestoreInProgress,
-          rti1516e::NotConnected,
-          rti1516e::RTIinternalError)
 {
     M_Attribute_Ownership_Release_Response req, rep;
 
@@ -1491,15 +1120,7 @@ void RTI1516ambassador::attributeOwnershipDivestitureIfWanted(
 // 7.15
 void RTI1516ambassador::cancelNegotiatedAttributeOwnershipDivestiture(
     rti1516e::ObjectInstanceHandle theObject,
-    rti1516e::AttributeHandleSet const& theAttributes) throw(rti1516e::ObjectInstanceNotKnown,
-                                                             rti1516e::AttributeNotDefined,
-                                                             rti1516e::AttributeNotOwned,
-                                                             rti1516e::AttributeDivestitureWasNotRequested,
-                                                             rti1516e::FederateNotExecutionMember,
-                                                             rti1516e::SaveInProgress,
-                                                             rti1516e::RestoreInProgress,
-                                                             rti1516e::NotConnected,
-                                                             rti1516e::RTIinternalError)
+    rti1516e::AttributeHandleSet const& theAttributes)
 {
     M_Cancel_Negotiated_Attribute_Ownership_Divestiture req, rep;
 
@@ -1518,15 +1139,7 @@ void RTI1516ambassador::cancelNegotiatedAttributeOwnershipDivestiture(
 // 7.15
 void RTI1516ambassador::cancelAttributeOwnershipAcquisition(
     rti1516e::ObjectInstanceHandle theObject,
-    rti1516e::AttributeHandleSet const& theAttributes) throw(rti1516e::ObjectInstanceNotKnown,
-                                                             rti1516e::AttributeNotDefined,
-                                                             rti1516e::AttributeAlreadyOwned,
-                                                             rti1516e::AttributeAcquisitionWasNotRequested,
-                                                             rti1516e::FederateNotExecutionMember,
-                                                             rti1516e::SaveInProgress,
-                                                             rti1516e::RestoreInProgress,
-                                                             rti1516e::NotConnected,
-                                                             rti1516e::RTIinternalError)
+    rti1516e::AttributeHandleSet const& theAttributes)
 {
     M_Cancel_Attribute_Ownership_Acquisition req, rep;
 
@@ -1545,13 +1158,7 @@ void RTI1516ambassador::cancelAttributeOwnershipAcquisition(
 // 7.16
 void RTI1516ambassador::queryAttributeOwnership(
     rti1516e::ObjectInstanceHandle theObject,
-    rti1516e::AttributeHandle theAttribute) throw(rti1516e::ObjectInstanceNotKnown,
-                                                  rti1516e::AttributeNotDefined,
-                                                  rti1516e::FederateNotExecutionMember,
-                                                  rti1516e::SaveInProgress,
-                                                  rti1516e::RestoreInProgress,
-                                                  rti1516e::NotConnected,
-                                                  rti1516e::RTIinternalError)
+    rti1516e::AttributeHandle theAttribute)
 {
     M_Query_Attribute_Ownership req, rep;
 
@@ -1564,13 +1171,7 @@ void RTI1516ambassador::queryAttributeOwnership(
 // 7.18
 bool RTI1516ambassador::isAttributeOwnedByFederate(
     rti1516e::ObjectInstanceHandle theObject,
-    rti1516e::AttributeHandle theAttribute) throw(rti1516e::ObjectInstanceNotKnown,
-                                                  rti1516e::AttributeNotDefined,
-                                                  rti1516e::FederateNotExecutionMember,
-                                                  rti1516e::SaveInProgress,
-                                                  rti1516e::RestoreInProgress,
-                                                  rti1516e::NotConnected,
-                                                  rti1516e::RTIinternalError)
+    rti1516e::AttributeHandle theAttribute)
 {
     M_Is_Attribute_Owned_By_Federate req, rep;
 
@@ -1587,16 +1188,7 @@ bool RTI1516ambassador::isAttributeOwnedByFederate(
 //////////////////////////////
 
 // 8.2
-void RTI1516ambassador::enableTimeRegulation(rti1516e::LogicalTimeInterval const& theLookahead) throw(
-    rti1516e::TimeRegulationAlreadyEnabled,
-    rti1516e::InvalidLookahead,
-    rti1516e::InTimeAdvancingState,
-    rti1516e::RequestForTimeRegulationPending,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::enableTimeRegulation(rti1516e::LogicalTimeInterval const& theLookahead)
 {
     M_Enable_Time_Regulation req, rep;
 
@@ -1619,12 +1211,7 @@ void RTI1516ambassador::enableTimeRegulation(rti1516e::LogicalTimeInterval const
 }
 
 // 8.4
-void RTI1516ambassador::disableTimeRegulation() throw(rti1516e::TimeRegulationIsNotEnabled,
-                                                      rti1516e::FederateNotExecutionMember,
-                                                      rti1516e::SaveInProgress,
-                                                      rti1516e::RestoreInProgress,
-                                                      rti1516e::NotConnected,
-                                                      rti1516e::RTIinternalError)
+void RTI1516ambassador::disableTimeRegulation()
 {
     M_Disable_Time_Regulation req, rep;
 
@@ -1632,43 +1219,21 @@ void RTI1516ambassador::disableTimeRegulation() throw(rti1516e::TimeRegulationIs
 }
 
 // 8.5
-void RTI1516ambassador::enableTimeConstrained() throw(rti1516e::TimeConstrainedAlreadyEnabled,
-                                                      rti1516e::InTimeAdvancingState,
-                                                      rti1516e::RequestForTimeConstrainedPending,
-                                                      rti1516e::FederateNotExecutionMember,
-                                                      rti1516e::SaveInProgress,
-                                                      rti1516e::RestoreInProgress,
-                                                      rti1516e::NotConnected,
-                                                      rti1516e::RTIinternalError)
+void RTI1516ambassador::enableTimeConstrained()
 {
     M_Enable_Time_Constrained req, rep;
     p->executeService(&req, &rep);
 }
 
 // 8.7
-void RTI1516ambassador::disableTimeConstrained() throw(rti1516e::TimeConstrainedIsNotEnabled,
-                                                       rti1516e::FederateNotExecutionMember,
-                                                       rti1516e::SaveInProgress,
-                                                       rti1516e::RestoreInProgress,
-                                                       rti1516e::NotConnected,
-                                                       rti1516e::RTIinternalError)
+void RTI1516ambassador::disableTimeConstrained()
 {
     M_Disable_Time_Constrained req, rep;
     p->executeService(&req, &rep);
 }
 
 // 8.8
-void RTI1516ambassador::timeAdvanceRequest(rti1516e::LogicalTime const& theTime) throw(
-    rti1516e::InvalidLogicalTime,
-    rti1516e::LogicalTimeAlreadyPassed,
-    rti1516e::InTimeAdvancingState,
-    rti1516e::RequestForTimeRegulationPending,
-    rti1516e::RequestForTimeConstrainedPending,
-    rti1516e::FederateNotExecutionMember,
-    rti1516e::SaveInProgress,
-    rti1516e::RestoreInProgress,
-    rti1516e::NotConnected,
-    rti1516e::RTIinternalError)
+void RTI1516ambassador::timeAdvanceRequest(rti1516e::LogicalTime const& theTime)
 {
     M_Time_Advance_Request req, rep;
 
